Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Class TimeStatisticImpl

    java.lang.Object
      com.sun.appserv.management.j2ee.statistics.StatisticImpl
          com.sun.appserv.management.j2ee.statistics.TimeStatisticImpl

All Implemented Interfaces:
  java.io.Serializable, Statistic, TimeStatistic

public final class TimeStatisticImpl
extends StatisticImpl
implements TimeStatistic, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`TimeStatisticImpl(CompositeData compositeData)`
`TimeStatisticImpl(java.util.Map m)`
`TimeStatisticImpl(MapStatistic s)`
`TimeStatisticImpl(java.lang.String name, java.lang.String description, java.lang.String unit, long startTime, long lastSampleTime, long count, long maxTime, long minTime, long totalTime)`
`TimeStatisticImpl(TimeStatistic s)`

Method Summary
`long` | `getCount()` Number of times the operation was invoked since the beginning of this measurement.
`long` | `getMaxTime()` The maximum amount of time taken to complete one invocation of this operation since the beginning of this measurement.
`long` | `getMinTime()` The minimum amount of time taken to complete one invocation of this operation since the beginning of this measurement.
`long` | `getTotalTime()` This is the sum total of time taken to complete every invocation of this operation since the beginning of this measurement.

Methods inherited from class com.sun.appserv.management.j2ee.statistics.StatisticImpl
`equals, getDescription, getLastSampleTime, getName, getStartTime, getUnit, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Constructor Detail

### TimeStatisticImpl

    public TimeStatisticImpl(CompositeData compositeData)

### TimeStatisticImpl

    public TimeStatisticImpl(java.util.Map m)

### TimeStatisticImpl

    public TimeStatisticImpl(TimeStatistic s)

### TimeStatisticImpl

    public TimeStatisticImpl(MapStatistic s)

### TimeStatisticImpl

    public TimeStatisticImpl(java.lang.String name,
                             java.lang.String description,
                             java.lang.String unit,
                             long startTime,
                             long lastSampleTime,
                             long count,
                             long maxTime,
                             long minTime,
                             long totalTime)

Method Detail

### getCount

    public long getCount()

  Description copied from interface: `TimeStatistic`
  Number of times the operation was invoked since the beginning of this measurement.

  Specified by:
    `getCount` in interface `TimeStatistic`

### getMaxTime

    public long getMaxTime()

  Description copied from interface: `TimeStatistic`
  The maximum amount of time taken to complete one invocation of this operation since the beginning of this measurement.

  Specified by:
    `getMaxTime` in interface `TimeStatistic`

### getMinTime

    public long getMinTime()

  Description copied from interface: `TimeStatistic`
  The minimum amount of time taken to complete one invocation of this operation since the beginning of this measurement.

  Specified by:
    `getMinTime` in interface `TimeStatistic`

### getTotalTime

    public long getTotalTime()

  Description copied from interface: `TimeStatistic`
  This is the sum total of time taken to complete every invocation of this operation since the beginning of this measurement. Dividing totalTime by count will give you the average execution time for this operation.

  Specified by:
    `getTotalTime` in interface `TimeStatistic`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.